ARES_FDS(3)

NAME
ares_fds - Get file descriptors to select on for name service

SYNOPSIS
#include <ares.h>

int ares_fds(ares_channel channel, fd_set *read_fds,
fd_set *write_fds)

DESCRIPTION
The ares_fds function retrieves the set of file descriptors which the calling application should select on for reading and writing for the processing of name service queries pending on the name service channel identified by channel. File descriptors will be set in the file descriptor sets pointed to by read_fds and write_fds as appropriate. File descriptors already set in read_fds and write_fds will remain set; initialization of the file descriptor sets (using FD_ZERO) is the responsibility of the caller.

RETURN VALUES
ares_fds returns one greater than the number of the highest socket set in either read_fds or write_fds. If no queries are active, ares_fds will return 0.

SEE ALSO
ares_timeout(3), ares_process(3)

AUTHOR
Greg Hudson, MIT Information Systems
Copyright 1998 by the Massachusetts Institute of Technology.